/* ================================================================================================================================================ */
/* main background styling
/* ================================================================================================================================================ */


html, body
{
	width: 100%;
	min-height: 100%;
	overflow-x: hidden;
	overflow-y: auto;
	margin: 0;
	padding: 0;
	
	background: #052D76;
	background-image: linear-gradient(to bottom, #000E39, #073B93);
	background-attachment: fixed;
}


/* =================================================================================================================================================== */
/* main page layout elements
/* =================================================================================================================================================== */

#nav, #main
{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	margin-left: auto;
	margin-right: auto;
}

#nav
{
	background-image: url('/assets/header.png');
	background-position: top left;
	background-repeat: no-repeat;
	width: 976px;
	height: 425px;
	z-index: 1;
	pointer-events: none;
}

#nav p
{
	padding-left: 280px;
	padding-top: 213px;
	margin: 0;
	font-family: body_font;
	font-weight: normal;
	font-size: 16px;
	letter-spacing: 1px;
	color: #C4C4C4;
	pointer-events: auto;
}

#nav a
{
	transition: color 0.4s;
}
#nav a:link, #nav a:visited
{
	color: #C4C4C4;
	text-decoration: none;
}
#nav a:hover, nav a:active
{
	color: #F86618;
	text-decoration: underline;
}

#main
{
	transform: translate(28px, 0);
	top: 239px;
	width: 800px;
	background-color: #d2d2d2;
	border: 1px solid #fff;
	padding: 8px;
	z-index: 0;
}


/* ================================================================================================================================================ */
/* hyperlink styling
/* ================================================================================================================================================ */

a
{
	transition: color 0.2s;
}
a:link, a:visited
{
	color: #F86618;
	text-decoration: underline;
}
a:hover, a:active
{
	color: #36f;
}


/* =================================================================================================================================================== */
/* fonts and text
/* =================================================================================================================================================== */


@font-face { font-family: title_font; src: url('assets/the-rush.ttf'); }
@font-face { font-family: body_font; src: url('assets/ITC-Officina-Sans-Std-Book-Font.otf'); }
@font-face { font-family: code_font; src: url('assets/consola.ttf'); }

h1
{
	font-family: title_font;
	font-weight: normal;
	font-size: 32px;
	line-height: 1;
	color: #F86618;
	text-shadow: 0px 0px 4px #fff;
	padding: 0;
	padding-left: 110px;
	margin: 0;
	margin-bottom: 20px;
}

h2
{
	font-family: body_font;
	font-weight: normal;
	font-size: 20px;
	line-height: 1;
	color: #555;
	padding: 2px;
	margin-top: 16px;
	margin-bottom: 8px;
	margin-left: 0;
	margin-right: 0;
	padding-left: 14px;
	border-bottom: 1px solid #F86618;
	background-image: url('/assets/corner_arrow.png');
	background-position: bottom 6px left 2px;
	background-repeat: no-repeat;
}

h3
{
	font-family: body_font;
	font-weight: bold;
	font-size: 16px;
	color: #F86618;
	
	padding: 0;
	padding-left: 1px;
	margin-top: 12px;
	margin-bottom: 8px;
	margin-left: 0;
	margin-right: 0;
}

p, ul, ol, pre, label
{
	font-family: body_font;
	font-weight: normal;
	font-size: 14px;
	line-height: 1.2;
	color: #555;
	
	padding: 0;
	margin-top: 8px;
	margin-bottom: 8px;
	margin-left: 0;
	margin-right: 0;
}

p.breadcrumb
{
	margin: 0;
	margin-bottom: 4px;
	margin-top: 32px;
	font-size: 12px;
	padding-left: 110px;
}

ul li { margin-top: 4px; }
ol li { margin-top: 8px; }

pre
{
	font-family: code_font;
	background-color: rgba(255, 255, 255, 0.4);
	border-radius: 4px;
	padding: 2px;
	overflow-x: auto;
}

p.caption
{
	text-align: center;
	margin-top: 2px;
}

ul, ol
{
	padding-left: 24px;
}
#rss-feed
{
	max-height: 100px;
	overflow-y: auto;
}

img.float
{
	float: right;
	max-width: 35%;
	margin-left: 16px;
	border: 1px solid #fff;
}

img.fullwidth
{
	width: 100%;
}
img.center, video.center
{
	/*max-height: 250px;*/
	max-width: 400px;
	border: 1px solid #fff;
	display: block;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 3px;
}
img.noborder
{
	border: none;
}


/* ================================================================================================================================================ */
/* table for showing lists
/* ================================================================================================================================================ */


table
{
	border-collapse: collapse;
}
table, tr, td
{
	border: 0;
	margin: 0;
	padding: 0;
}
td
{
	padding-bottom: 4px;
	vertical-align: middle;
}
td.toc-image
{
	text-align: center;
	min-width: 64px;
}
td.toc-text
{
	padding-left: 8px;
	width: 100%;
}